import from HEAD
[freeradius.git] / src / modules / rlm_eap / types / rlm_eap_peap / configure
1 #! /bin/sh
2 # From configure.in Revision: 1.2.4.1 .
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated by GNU Autoconf 2.59.
5 #
6 # Copyright (C) 2003 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9 ## --------------------- ##
10 ## M4sh Initialization.  ##
11 ## --------------------- ##
12
13 # Be Bourne compatible
14 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
15   emulate sh
16   NULLCMD=:
17   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
18   # is contrary to our usage.  Disable this feature.
19   alias -g '${1+"$@"}'='"$@"'
20 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
21   set -o posix
22 fi
23 DUALCASE=1; export DUALCASE # for MKS sh
24
25 # Support unset when possible.
26 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
27   as_unset=unset
28 else
29   as_unset=false
30 fi
31
32
33 # Work around bugs in pre-3.0 UWIN ksh.
34 $as_unset ENV MAIL MAILPATH
35 PS1='$ '
36 PS2='> '
37 PS4='+ '
38
39 # NLS nuisances.
40 for as_var in \
41   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
42   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
43   LC_TELEPHONE LC_TIME
44 do
45   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
46     eval $as_var=C; export $as_var
47   else
48     $as_unset $as_var
49   fi
50 done
51
52 # Required to use basename.
53 if expr a : '\(a\)' >/dev/null 2>&1; then
54   as_expr=expr
55 else
56   as_expr=false
57 fi
58
59 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
60   as_basename=basename
61 else
62   as_basename=false
63 fi
64
65
66 # Name of the executable.
67 as_me=`$as_basename "$0" ||
68 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
69          X"$0" : 'X\(//\)$' \| \
70          X"$0" : 'X\(/\)$' \| \
71          .     : '\(.\)' 2>/dev/null ||
72 echo X/"$0" |
73     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
74           /^X\/\(\/\/\)$/{ s//\1/; q; }
75           /^X\/\(\/\).*/{ s//\1/; q; }
76           s/.*/./; q'`
77
78
79 # PATH needs CR, and LINENO needs CR and PATH.
80 # Avoid depending upon Character Ranges.
81 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
82 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
83 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
84 as_cr_digits='0123456789'
85 as_cr_alnum=$as_cr_Letters$as_cr_digits
86
87 # The user is always right.
88 if test "${PATH_SEPARATOR+set}" != set; then
89   echo "#! /bin/sh" >conf$$.sh
90   echo  "exit 0"   >>conf$$.sh
91   chmod +x conf$$.sh
92   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
93     PATH_SEPARATOR=';'
94   else
95     PATH_SEPARATOR=:
96   fi
97   rm -f conf$$.sh
98 fi
99
100
101   as_lineno_1=$LINENO
102   as_lineno_2=$LINENO
103   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
104   test "x$as_lineno_1" != "x$as_lineno_2" &&
105   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
106   # Find who we are.  Look in the path if we contain no path at all
107   # relative or not.
108   case $0 in
109     *[\\/]* ) as_myself=$0 ;;
110     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
111 for as_dir in $PATH
112 do
113   IFS=$as_save_IFS
114   test -z "$as_dir" && as_dir=.
115   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
116 done
117
118        ;;
119   esac
120   # We did not find ourselves, most probably we were run as `sh COMMAND'
121   # in which case we are not to be found in the path.
122   if test "x$as_myself" = x; then
123     as_myself=$0
124   fi
125   if test ! -f "$as_myself"; then
126     { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
127    { (exit 1); exit 1; }; }
128   fi
129   case $CONFIG_SHELL in
130   '')
131     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
132 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
133 do
134   IFS=$as_save_IFS
135   test -z "$as_dir" && as_dir=.
136   for as_base in sh bash ksh sh5; do
137          case $as_dir in
138          /*)
139            if ("$as_dir/$as_base" -c '
140   as_lineno_1=$LINENO
141   as_lineno_2=$LINENO
142   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
143   test "x$as_lineno_1" != "x$as_lineno_2" &&
144   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
145              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
146              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
147              CONFIG_SHELL=$as_dir/$as_base
148              export CONFIG_SHELL
149              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
150            fi;;
151          esac
152        done
153 done
154 ;;
155   esac
156
157   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
158   # uniformly replaced by the line number.  The first 'sed' inserts a
159   # line-number line before each line; the second 'sed' does the real
160   # work.  The second script uses 'N' to pair each line-number line
161   # with the numbered line, and appends trailing '-' during
162   # substitution so that $LINENO is not a special case at line end.
163   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
164   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
165   sed '=' <$as_myself |
166     sed '
167       N
168       s,$,-,
169       : loop
170       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
171       t loop
172       s,-$,,
173       s,^['$as_cr_digits']*\n,,
174     ' >$as_me.lineno &&
175   chmod +x $as_me.lineno ||
176     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
177    { (exit 1); exit 1; }; }
178
179   # Don't try to exec as it changes $[0], causing all sort of problems
180   # (the dirname of $[0] is not the place where we might find the
181   # original and so on.  Autoconf is especially sensible to this).
182   . ./$as_me.lineno
183   # Exit status is that of the last command.
184   exit
185 }
186
187
188 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
189   *c*,-n*) ECHO_N= ECHO_C='
190 ' ECHO_T='      ' ;;
191   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
192   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
193 esac
194
195 if expr a : '\(a\)' >/dev/null 2>&1; then
196   as_expr=expr
197 else
198   as_expr=false
199 fi
200
201 rm -f conf$$ conf$$.exe conf$$.file
202 echo >conf$$.file
203 if ln -s conf$$.file conf$$ 2>/dev/null; then
204   # We could just check for DJGPP; but this test a) works b) is more generic
205   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
206   if test -f conf$$.exe; then
207     # Don't use ln at all; we don't have any links
208     as_ln_s='cp -p'
209   else
210     as_ln_s='ln -s'
211   fi
212 elif ln conf$$.file conf$$ 2>/dev/null; then
213   as_ln_s=ln
214 else
215   as_ln_s='cp -p'
216 fi
217 rm -f conf$$ conf$$.exe conf$$.file
218
219 if mkdir -p . 2>/dev/null; then
220   as_mkdir_p=:
221 else
222   test -d ./-p && rmdir ./-p
223   as_mkdir_p=false
224 fi
225
226 as_executable_p="test -f"
227
228 # Sed expression to map a string onto a valid CPP name.
229 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
230
231 # Sed expression to map a string onto a valid variable name.
232 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
233
234
235 # IFS
236 # We need space, tab and new line, in precisely that order.
237 as_nl='
238 '
239 IFS="   $as_nl"
240
241 # CDPATH.
242 $as_unset CDPATH
243
244
245 # Name of the host.
246 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
247 # so uname gets run too.
248 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
249
250 exec 6>&1
251
252 #
253 # Initializations.
254 #
255 ac_default_prefix=/usr/local
256 ac_config_libobj_dir=.
257 cross_compiling=no
258 subdirs=
259 MFLAGS=
260 MAKEFLAGS=
261 SHELL=${CONFIG_SHELL-/bin/sh}
262
263 # Maximum number of lines to put in a shell here document.
264 # This variable seems obsolete.  It should probably be removed, and
265 # only ac_max_sed_lines should be used.
266 : ${ac_max_here_lines=38}
267
268 # Identity of this package.
269 PACKAGE_NAME=
270 PACKAGE_TARNAME=
271 PACKAGE_VERSION=
272 PACKAGE_STRING=
273 PACKAGE_BUGREPORT=
274
275 ac_unique_file="rlm_eap_peap.c"
276 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS eap_peap_ldflags eap_peap_cflags targetname LIBOBJS LTLIBOBJS'
277 ac_subst_files=''
278
279 # Initialize some variables set by options.
280 ac_init_help=
281 ac_init_version=false
282 # The variables have the same names as the options, with
283 # dashes changed to underlines.
284 cache_file=/dev/null
285 exec_prefix=NONE
286 no_create=
287 no_recursion=
288 prefix=NONE
289 program_prefix=NONE
290 program_suffix=NONE
291 program_transform_name=s,x,x,
292 silent=
293 site=
294 srcdir=
295 verbose=
296 x_includes=NONE
297 x_libraries=NONE
298
299 # Installation directory options.
300 # These are left unexpanded so users can "make install exec_prefix=/foo"
301 # and all the variables that are supposed to be based on exec_prefix
302 # by default will actually change.
303 # Use braces instead of parens because sh, perl, etc. also accept them.
304 bindir='${exec_prefix}/bin'
305 sbindir='${exec_prefix}/sbin'
306 libexecdir='${exec_prefix}/libexec'
307 datadir='${prefix}/share'
308 sysconfdir='${prefix}/etc'
309 sharedstatedir='${prefix}/com'
310 localstatedir='${prefix}/var'
311 libdir='${exec_prefix}/lib'
312 includedir='${prefix}/include'
313 oldincludedir='/usr/include'
314 infodir='${prefix}/info'
315 mandir='${prefix}/man'
316
317 ac_prev=
318 for ac_option
319 do
320   # If the previous option needs an argument, assign it.
321   if test -n "$ac_prev"; then
322     eval "$ac_prev=\$ac_option"
323     ac_prev=
324     continue
325   fi
326
327   ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
328
329   # Accept the important Cygnus configure options, so we can diagnose typos.
330
331   case $ac_option in
332
333   -bindir | --bindir | --bindi | --bind | --bin | --bi)
334     ac_prev=bindir ;;
335   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
336     bindir=$ac_optarg ;;
337
338   -build | --build | --buil | --bui | --bu)
339     ac_prev=build_alias ;;
340   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
341     build_alias=$ac_optarg ;;
342
343   -cache-file | --cache-file | --cache-fil | --cache-fi \
344   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
345     ac_prev=cache_file ;;
346   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
347   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
348     cache_file=$ac_optarg ;;
349
350   --config-cache | -C)
351     cache_file=config.cache ;;
352
353   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
354     ac_prev=datadir ;;
355   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
356   | --da=*)
357     datadir=$ac_optarg ;;
358
359   -disable-* | --disable-*)
360     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
361     # Reject names that are not valid shell variable names.
362     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
363       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
364    { (exit 1); exit 1; }; }
365     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
366     eval "enable_$ac_feature=no" ;;
367
368   -enable-* | --enable-*)
369     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
370     # Reject names that are not valid shell variable names.
371     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
372       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
373    { (exit 1); exit 1; }; }
374     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
375     case $ac_option in
376       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
377       *) ac_optarg=yes ;;
378     esac
379     eval "enable_$ac_feature='$ac_optarg'" ;;
380
381   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
382   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
383   | --exec | --exe | --ex)
384     ac_prev=exec_prefix ;;
385   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
386   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
387   | --exec=* | --exe=* | --ex=*)
388     exec_prefix=$ac_optarg ;;
389
390   -gas | --gas | --ga | --g)
391     # Obsolete; use --with-gas.
392     with_gas=yes ;;
393
394   -help | --help | --hel | --he | -h)
395     ac_init_help=long ;;
396   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
397     ac_init_help=recursive ;;
398   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
399     ac_init_help=short ;;
400
401   -host | --host | --hos | --ho)
402     ac_prev=host_alias ;;
403   -host=* | --host=* | --hos=* | --ho=*)
404     host_alias=$ac_optarg ;;
405
406   -includedir | --includedir | --includedi | --included | --include \
407   | --includ | --inclu | --incl | --inc)
408     ac_prev=includedir ;;
409   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
410   | --includ=* | --inclu=* | --incl=* | --inc=*)
411     includedir=$ac_optarg ;;
412
413   -infodir | --infodir | --infodi | --infod | --info | --inf)
414     ac_prev=infodir ;;
415   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
416     infodir=$ac_optarg ;;
417
418   -libdir | --libdir | --libdi | --libd)
419     ac_prev=libdir ;;
420   -libdir=* | --libdir=* | --libdi=* | --libd=*)
421     libdir=$ac_optarg ;;
422
423   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
424   | --libexe | --libex | --libe)
425     ac_prev=libexecdir ;;
426   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
427   | --libexe=* | --libex=* | --libe=*)
428     libexecdir=$ac_optarg ;;
429
430   -localstatedir | --localstatedir | --localstatedi | --localstated \
431   | --localstate | --localstat | --localsta | --localst \
432   | --locals | --local | --loca | --loc | --lo)
433     ac_prev=localstatedir ;;
434   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
435   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
436   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
437     localstatedir=$ac_optarg ;;
438
439   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
440     ac_prev=mandir ;;
441   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
442     mandir=$ac_optarg ;;
443
444   -nfp | --nfp | --nf)
445     # Obsolete; use --without-fp.
446     with_fp=no ;;
447
448   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
449   | --no-cr | --no-c | -n)
450     no_create=yes ;;
451
452   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
453   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
454     no_recursion=yes ;;
455
456   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
457   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
458   | --oldin | --oldi | --old | --ol | --o)
459     ac_prev=oldincludedir ;;
460   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
461   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
462   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
463     oldincludedir=$ac_optarg ;;
464
465   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
466     ac_prev=prefix ;;
467   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
468     prefix=$ac_optarg ;;
469
470   -program-prefix | --program-prefix | --program-prefi | --program-pref \
471   | --program-pre | --program-pr | --program-p)
472     ac_prev=program_prefix ;;
473   -program-prefix=* | --program-prefix=* | --program-prefi=* \
474   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
475     program_prefix=$ac_optarg ;;
476
477   -program-suffix | --program-suffix | --program-suffi | --program-suff \
478   | --program-suf | --program-su | --program-s)
479     ac_prev=program_suffix ;;
480   -program-suffix=* | --program-suffix=* | --program-suffi=* \
481   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
482     program_suffix=$ac_optarg ;;
483
484   -program-transform-name | --program-transform-name \
485   | --program-transform-nam | --program-transform-na \
486   | --program-transform-n | --program-transform- \
487   | --program-transform | --program-transfor \
488   | --program-transfo | --program-transf \
489   | --program-trans | --program-tran \
490   | --progr-tra | --program-tr | --program-t)
491     ac_prev=program_transform_name ;;
492   -program-transform-name=* | --program-transform-name=* \
493   | --program-transform-nam=* | --program-transform-na=* \
494   | --program-transform-n=* | --program-transform-=* \
495   | --program-transform=* | --program-transfor=* \
496   | --program-transfo=* | --program-transf=* \
497   | --program-trans=* | --program-tran=* \
498   | --progr-tra=* | --program-tr=* | --program-t=*)
499     program_transform_name=$ac_optarg ;;
500
501   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
502   | -silent | --silent | --silen | --sile | --sil)
503     silent=yes ;;
504
505   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
506     ac_prev=sbindir ;;
507   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
508   | --sbi=* | --sb=*)
509     sbindir=$ac_optarg ;;
510
511   -sharedstatedir | --sharedstatedir | --sharedstatedi \
512   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
513   | --sharedst | --shareds | --shared | --share | --shar \
514   | --sha | --sh)
515     ac_prev=sharedstatedir ;;
516   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
517   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
518   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
519   | --sha=* | --sh=*)
520     sharedstatedir=$ac_optarg ;;
521
522   -site | --site | --sit)
523     ac_prev=site ;;
524   -site=* | --site=* | --sit=*)
525     site=$ac_optarg ;;
526
527   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
528     ac_prev=srcdir ;;
529   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
530     srcdir=$ac_optarg ;;
531
532   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
533   | --syscon | --sysco | --sysc | --sys | --sy)
534     ac_prev=sysconfdir ;;
535   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
536   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
537     sysconfdir=$ac_optarg ;;
538
539   -target | --target | --targe | --targ | --tar | --ta | --t)
540     ac_prev=target_alias ;;
541   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
542     target_alias=$ac_optarg ;;
543
544   -v | -verbose | --verbose | --verbos | --verbo | --verb)
545     verbose=yes ;;
546
547   -version | --version | --versio | --versi | --vers | -V)
548     ac_init_version=: ;;
549
550   -with-* | --with-*)
551     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
552     # Reject names that are not valid shell variable names.
553     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
554       { echo "$as_me: error: invalid package name: $ac_package" >&2
555    { (exit 1); exit 1; }; }
556     ac_package=`echo $ac_package| sed 's/-/_/g'`
557     case $ac_option in
558       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
559       *) ac_optarg=yes ;;
560     esac
561     eval "with_$ac_package='$ac_optarg'" ;;
562
563   -without-* | --without-*)
564     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
565     # Reject names that are not valid shell variable names.
566     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
567       { echo "$as_me: error: invalid package name: $ac_package" >&2
568    { (exit 1); exit 1; }; }
569     ac_package=`echo $ac_package | sed 's/-/_/g'`
570     eval "with_$ac_package=no" ;;
571
572   --x)
573     # Obsolete; use --with-x.
574     with_x=yes ;;
575
576   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
577   | --x-incl | --x-inc | --x-in | --x-i)
578     ac_prev=x_includes ;;
579   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
580   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
581     x_includes=$ac_optarg ;;
582
583   -x-libraries | --x-libraries | --x-librarie | --x-librari \
584   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
585     ac_prev=x_libraries ;;
586   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
587   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
588     x_libraries=$ac_optarg ;;
589
590   -*) { echo "$as_me: error: unrecognized option: $ac_option
591 Try \`$0 --help' for more information." >&2
592    { (exit 1); exit 1; }; }
593     ;;
594
595   *=*)
596     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
597     # Reject names that are not valid shell variable names.
598     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
599       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
600    { (exit 1); exit 1; }; }
601     ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
602     eval "$ac_envvar='$ac_optarg'"
603     export $ac_envvar ;;
604
605   *)
606     # FIXME: should be removed in autoconf 3.0.
607     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
608     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
609       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
610     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
611     ;;
612
613   esac
614 done
615
616 if test -n "$ac_prev"; then
617   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
618   { echo "$as_me: error: missing argument to $ac_option" >&2
619    { (exit 1); exit 1; }; }
620 fi
621
622 # Be sure to have absolute paths.
623 for ac_var in exec_prefix prefix
624 do
625   eval ac_val=$`echo $ac_var`
626   case $ac_val in
627     [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
628     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
629    { (exit 1); exit 1; }; };;
630   esac
631 done
632
633 # Be sure to have absolute paths.
634 for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
635               localstatedir libdir includedir oldincludedir infodir mandir
636 do
637   eval ac_val=$`echo $ac_var`
638   case $ac_val in
639     [\\/$]* | ?:[\\/]* ) ;;
640     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
641    { (exit 1); exit 1; }; };;
642   esac
643 done
644
645 # There might be people who depend on the old broken behavior: `$host'
646 # used to hold the argument of --host etc.
647 # FIXME: To remove some day.
648 build=$build_alias
649 host=$host_alias
650 target=$target_alias
651
652 # FIXME: To remove some day.
653 if test "x$host_alias" != x; then
654   if test "x$build_alias" = x; then
655     cross_compiling=maybe
656     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
657     If a cross compiler is detected then cross compile mode will be used." >&2
658   elif test "x$build_alias" != "x$host_alias"; then
659     cross_compiling=yes
660   fi
661 fi
662
663 ac_tool_prefix=
664 test -n "$host_alias" && ac_tool_prefix=$host_alias-
665
666 test "$silent" = yes && exec 6>/dev/null
667
668
669 # Find the source files, if location was not specified.
670 if test -z "$srcdir"; then
671   ac_srcdir_defaulted=yes
672   # Try the directory containing this script, then its parent.
673   ac_confdir=`(dirname "$0") 2>/dev/null ||
674 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
675          X"$0" : 'X\(//\)[^/]' \| \
676          X"$0" : 'X\(//\)$' \| \
677          X"$0" : 'X\(/\)' \| \
678          .     : '\(.\)' 2>/dev/null ||
679 echo X"$0" |
680     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
681           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
682           /^X\(\/\/\)$/{ s//\1/; q; }
683           /^X\(\/\).*/{ s//\1/; q; }
684           s/.*/./; q'`
685   srcdir=$ac_confdir
686   if test ! -r $srcdir/$ac_unique_file; then
687     srcdir=..
688   fi
689 else
690   ac_srcdir_defaulted=no
691 fi
692 if test ! -r $srcdir/$ac_unique_file; then
693   if test "$ac_srcdir_defaulted" = yes; then
694     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
695    { (exit 1); exit 1; }; }
696   else
697     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
698    { (exit 1); exit 1; }; }
699   fi
700 fi
701 (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
702   { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
703    { (exit 1); exit 1; }; }
704 srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
705 ac_env_build_alias_set=${build_alias+set}
706 ac_env_build_alias_value=$build_alias
707 ac_cv_env_build_alias_set=${build_alias+set}
708 ac_cv_env_build_alias_value=$build_alias
709 ac_env_host_alias_set=${host_alias+set}
710 ac_env_host_alias_value=$host_alias
711 ac_cv_env_host_alias_set=${host_alias+set}
712 ac_cv_env_host_alias_value=$host_alias
713 ac_env_target_alias_set=${target_alias+set}
714 ac_env_target_alias_value=$target_alias
715 ac_cv_env_target_alias_set=${target_alias+set}
716 ac_cv_env_target_alias_value=$target_alias
717
718 #
719 # Report the --help message.
720 #
721 if test "$ac_init_help" = "long"; then
722   # Omit some internal or obsolete options to make the list less imposing.
723   # This message is too long to be a string in the A/UX 3.1 sh.
724   cat <<_ACEOF
725 \`configure' configures this package to adapt to many kinds of systems.
726
727 Usage: $0 [OPTION]... [VAR=VALUE]...
728
729 To assign environment variables (e.g., CC, CFLAGS...), specify them as
730 VAR=VALUE.  See below for descriptions of some of the useful variables.
731
732 Defaults for the options are specified in brackets.
733
734 Configuration:
735   -h, --help              display this help and exit
736       --help=short        display options specific to this package
737       --help=recursive    display the short help of all the included packages
738   -V, --version           display version information and exit
739   -q, --quiet, --silent   do not print \`checking...' messages
740       --cache-file=FILE   cache test results in FILE [disabled]
741   -C, --config-cache      alias for \`--cache-file=config.cache'
742   -n, --no-create         do not create output files
743       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
744
745 _ACEOF
746
747   cat <<_ACEOF
748 Installation directories:
749   --prefix=PREFIX         install architecture-independent files in PREFIX
750                           [$ac_default_prefix]
751   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
752                           [PREFIX]
753
754 By default, \`make install' will install all the files in
755 \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
756 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
757 for instance \`--prefix=\$HOME'.
758
759 For better control, use the options below.
760
761 Fine tuning of the installation directories:
762   --bindir=DIR           user executables [EPREFIX/bin]
763   --sbindir=DIR          system admin executables [EPREFIX/sbin]
764   --libexecdir=DIR       program executables [EPREFIX/libexec]
765   --datadir=DIR          read-only architecture-independent data [PREFIX/share]
766   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
767   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
768   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
769   --libdir=DIR           object code libraries [EPREFIX/lib]
770   --includedir=DIR       C header files [PREFIX/include]
771   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
772   --infodir=DIR          info documentation [PREFIX/info]
773   --mandir=DIR           man documentation [PREFIX/man]
774 _ACEOF
775
776   cat <<\_ACEOF
777 _ACEOF
778 fi
779
780 if test -n "$ac_init_help"; then
781
782   cat <<\_ACEOF
783
784 Optional Packages:
785   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
786   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
787   --with-rlm-eap-peap-lib-dir      directory for eap-peap libs
788   --with-rlm-eap-peap-include-dir  directory for eap-peap includes
789
790 _ACEOF
791 fi
792
793 if test "$ac_init_help" = "recursive"; then
794   # If there are subdirs, report their specific --help.
795   ac_popdir=`pwd`
796   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
797     test -d $ac_dir || continue
798     ac_builddir=.
799
800 if test "$ac_dir" != .; then
801   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
802   # A "../" for each directory in $ac_dir_suffix.
803   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
804 else
805   ac_dir_suffix= ac_top_builddir=
806 fi
807
808 case $srcdir in
809   .)  # No --srcdir option.  We are building in place.
810     ac_srcdir=.
811     if test -z "$ac_top_builddir"; then
812        ac_top_srcdir=.
813     else
814        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
815     fi ;;
816   [\\/]* | ?:[\\/]* )  # Absolute path.
817     ac_srcdir=$srcdir$ac_dir_suffix;
818     ac_top_srcdir=$srcdir ;;
819   *) # Relative path.
820     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
821     ac_top_srcdir=$ac_top_builddir$srcdir ;;
822 esac
823
824 # Do not use `cd foo && pwd` to compute absolute paths, because
825 # the directories may not exist.
826 case `pwd` in
827 .) ac_abs_builddir="$ac_dir";;
828 *)
829   case "$ac_dir" in
830   .) ac_abs_builddir=`pwd`;;
831   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
832   *) ac_abs_builddir=`pwd`/"$ac_dir";;
833   esac;;
834 esac
835 case $ac_abs_builddir in
836 .) ac_abs_top_builddir=${ac_top_builddir}.;;
837 *)
838   case ${ac_top_builddir}. in
839   .) ac_abs_top_builddir=$ac_abs_builddir;;
840   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
841   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
842   esac;;
843 esac
844 case $ac_abs_builddir in
845 .) ac_abs_srcdir=$ac_srcdir;;
846 *)
847   case $ac_srcdir in
848   .) ac_abs_srcdir=$ac_abs_builddir;;
849   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
850   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
851   esac;;
852 esac
853 case $ac_abs_builddir in
854 .) ac_abs_top_srcdir=$ac_top_srcdir;;
855 *)
856   case $ac_top_srcdir in
857   .) ac_abs_top_srcdir=$ac_abs_builddir;;
858   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
859   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
860   esac;;
861 esac
862
863     cd $ac_dir
864     # Check for guested configure; otherwise get Cygnus style configure.
865     if test -f $ac_srcdir/configure.gnu; then
866       echo
867       $SHELL $ac_srcdir/configure.gnu  --help=recursive
868     elif test -f $ac_srcdir/configure; then
869       echo
870       $SHELL $ac_srcdir/configure  --help=recursive
871     elif test -f $ac_srcdir/configure.ac ||
872            test -f $ac_srcdir/configure.in; then
873       echo
874       $ac_configure --help
875     else
876       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
877     fi
878     cd $ac_popdir
879   done
880 fi
881
882 test -n "$ac_init_help" && exit 0
883 if $ac_init_version; then
884   cat <<\_ACEOF
885
886 Copyright (C) 2003 Free Software Foundation, Inc.
887 This configure script is free software; the Free Software Foundation
888 gives unlimited permission to copy, distribute and modify it.
889 _ACEOF
890   exit 0
891 fi
892 exec 5>config.log
893 cat >&5 <<_ACEOF
894 This file contains any messages produced by compilers while
895 running configure, to aid debugging if configure makes a mistake.
896
897 It was created by $as_me, which was
898 generated by GNU Autoconf 2.59.  Invocation command line was
899
900   $ $0 $@
901
902 _ACEOF
903 {
904 cat <<_ASUNAME
905 ## --------- ##
906 ## Platform. ##
907 ## --------- ##
908
909 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
910 uname -m = `(uname -m) 2>/dev/null || echo unknown`
911 uname -r = `(uname -r) 2>/dev/null || echo unknown`
912 uname -s = `(uname -s) 2>/dev/null || echo unknown`
913 uname -v = `(uname -v) 2>/dev/null || echo unknown`
914
915 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
916 /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
917
918 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
919 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
920 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
921 hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
922 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
923 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
924 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
925
926 _ASUNAME
927
928 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
929 for as_dir in $PATH
930 do
931   IFS=$as_save_IFS
932   test -z "$as_dir" && as_dir=.
933   echo "PATH: $as_dir"
934 done
935
936 } >&5
937
938 cat >&5 <<_ACEOF
939
940
941 ## ----------- ##
942 ## Core tests. ##
943 ## ----------- ##
944
945 _ACEOF
946
947
948 # Keep a trace of the command line.
949 # Strip out --no-create and --no-recursion so they do not pile up.
950 # Strip out --silent because we don't want to record it for future runs.
951 # Also quote any args containing shell meta-characters.
952 # Make two passes to allow for proper duplicate-argument suppression.
953 ac_configure_args=
954 ac_configure_args0=
955 ac_configure_args1=
956 ac_sep=
957 ac_must_keep_next=false
958 for ac_pass in 1 2
959 do
960   for ac_arg
961   do
962     case $ac_arg in
963     -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
964     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
965     | -silent | --silent | --silen | --sile | --sil)
966       continue ;;
967     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
968       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
969     esac
970     case $ac_pass in
971     1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
972     2)
973       ac_configure_args1="$ac_configure_args1 '$ac_arg'"
974       if test $ac_must_keep_next = true; then
975         ac_must_keep_next=false # Got value, back to normal.
976       else
977         case $ac_arg in
978           *=* | --config-cache | -C | -disable-* | --disable-* \
979           | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
980           | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
981           | -with-* | --with-* | -without-* | --without-* | --x)
982             case "$ac_configure_args0 " in
983               "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
984             esac
985             ;;
986           -* ) ac_must_keep_next=true ;;
987         esac
988       fi
989       ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
990       # Get rid of the leading space.
991       ac_sep=" "
992       ;;
993     esac
994   done
995 done
996 $as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
997 $as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
998
999 # When interrupted or exit'd, cleanup temporary files, and complete
1000 # config.log.  We remove comments because anyway the quotes in there
1001 # would cause problems or look ugly.
1002 # WARNING: Be sure not to use single quotes in there, as some shells,
1003 # such as our DU 5.0 friend, will then `close' the trap.
1004 trap 'exit_status=$?
1005   # Save into config.log some information that might help in debugging.
1006   {
1007     echo
1008
1009     cat <<\_ASBOX
1010 ## ---------------- ##
1011 ## Cache variables. ##
1012 ## ---------------- ##
1013 _ASBOX
1014     echo
1015     # The following way of writing the cache mishandles newlines in values,
1016 {
1017   (set) 2>&1 |
1018     case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
1019     *ac_space=\ *)
1020       sed -n \
1021         "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
1022           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
1023       ;;
1024     *)
1025       sed -n \
1026         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1027       ;;
1028     esac;
1029 }
1030     echo
1031
1032     cat <<\_ASBOX
1033 ## ----------------- ##
1034 ## Output variables. ##
1035 ## ----------------- ##
1036 _ASBOX
1037     echo
1038     for ac_var in $ac_subst_vars
1039     do
1040       eval ac_val=$`echo $ac_var`
1041       echo "$ac_var='"'"'$ac_val'"'"'"
1042     done | sort
1043     echo
1044
1045     if test -n "$ac_subst_files"; then
1046       cat <<\_ASBOX
1047 ## ------------- ##
1048 ## Output files. ##
1049 ## ------------- ##
1050 _ASBOX
1051       echo
1052       for ac_var in $ac_subst_files
1053       do
1054         eval ac_val=$`echo $ac_var`
1055         echo "$ac_var='"'"'$ac_val'"'"'"
1056       done | sort
1057       echo
1058     fi
1059
1060     if test -s confdefs.h; then
1061       cat <<\_ASBOX
1062 ## ----------- ##
1063 ## confdefs.h. ##
1064 ## ----------- ##
1065 _ASBOX
1066       echo
1067       sed "/^$/d" confdefs.h | sort
1068       echo
1069     fi
1070     test "$ac_signal" != 0 &&
1071       echo "$as_me: caught signal $ac_signal"
1072     echo "$as_me: exit $exit_status"
1073   } >&5
1074   rm -f core *.core &&
1075   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1076     exit $exit_status
1077      ' 0
1078 for ac_signal in 1 2 13 15; do
1079   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1080 done
1081 ac_signal=0
1082
1083 # confdefs.h avoids OS command line length limits that DEFS can exceed.
1084 rm -rf conftest* confdefs.h
1085 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
1086 echo >confdefs.h
1087
1088 # Predefined preprocessor variables.
1089
1090 cat >>confdefs.h <<_ACEOF
1091 #define PACKAGE_NAME "$PACKAGE_NAME"
1092 _ACEOF
1093
1094
1095 cat >>confdefs.h <<_ACEOF
1096 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
1097 _ACEOF
1098
1099
1100 cat >>confdefs.h <<_ACEOF
1101 #define PACKAGE_VERSION "$PACKAGE_VERSION"
1102 _ACEOF
1103
1104
1105 cat >>confdefs.h <<_ACEOF
1106 #define PACKAGE_STRING "$PACKAGE_STRING"
1107 _ACEOF
1108
1109
1110 cat >>confdefs.h <<_ACEOF
1111 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
1112 _ACEOF
1113
1114
1115 # Let the site file select an alternate cache file if it wants to.
1116 # Prefer explicitly selected file to automatically selected ones.
1117 if test -z "$CONFIG_SITE"; then
1118   if test "x$prefix" != xNONE; then
1119     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
1120   else
1121     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
1122   fi
1123 fi
1124 for ac_site_file in $CONFIG_SITE; do
1125   if test -r "$ac_site_file"; then
1126     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
1127 echo "$as_me: loading site script $ac_site_file" >&6;}
1128     sed 's/^/| /' "$ac_site_file" >&5
1129     . "$ac_site_file"
1130   fi
1131 done
1132
1133 if test -r "$cache_file"; then
1134   # Some versions of bash will fail to source /dev/null (special
1135   # files actually), so we avoid doing that.
1136   if test -f "$cache_file"; then
1137     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
1138 echo "$as_me: loading cache $cache_file" >&6;}
1139     case $cache_file in
1140       [\\/]* | ?:[\\/]* ) . $cache_file;;
1141       *)                      . ./$cache_file;;
1142     esac
1143   fi
1144 else
1145   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
1146 echo "$as_me: creating cache $cache_file" >&6;}
1147   >$cache_file
1148 fi
1149
1150 # Check that the precious variables saved in the cache have kept the same
1151 # value.
1152 ac_cache_corrupted=false
1153 for ac_var in `(set) 2>&1 |
1154                sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
1155   eval ac_old_set=\$ac_cv_env_${ac_var}_set
1156   eval ac_new_set=\$ac_env_${ac_var}_set
1157   eval ac_old_val="\$ac_cv_env_${ac_var}_value"
1158   eval ac_new_val="\$ac_env_${ac_var}_value"
1159   case $ac_old_set,$ac_new_set in
1160     set,)
1161       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
1162 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
1163       ac_cache_corrupted=: ;;
1164     ,set)
1165       { echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
1166 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
1167       ac_cache_corrupted=: ;;
1168     ,);;
1169     *)
1170       if test "x$ac_old_val" != "x$ac_new_val"; then
1171         { echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
1172 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
1173         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
1174 echo "$as_me:   former value:  $ac_old_val" >&2;}
1175         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
1176 echo "$as_me:   current value: $ac_new_val" >&2;}
1177         ac_cache_corrupted=:
1178       fi;;
1179   esac
1180   # Pass precious variables to config.status.
1181   if test "$ac_new_set" = set; then
1182     case $ac_new_val in
1183     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
1184       ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
1185     *) ac_arg=$ac_var=$ac_new_val ;;
1186     esac
1187     case " $ac_configure_args " in
1188       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
1189       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1190     esac
1191   fi
1192 done
1193 if $ac_cache_corrupted; then
1194   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
1195 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
1196   { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1197 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
1198    { (exit 1); exit 1; }; }
1199 fi
1200
1201 ac_ext=c
1202 ac_cpp='$CPP $CPPFLAGS'
1203 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1204 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1205 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1206
1207
1208
1209
1210
1211
1212
1213
1214
1215
1216
1217
1218
1219
1220
1221
1222
1223
1224
1225
1226
1227
1228 fail=
1229 eap_peap_ldflags=
1230 eap_peap_cflags=
1231
1232 if test x$with_rlm_eap_peap != xno; then
1233
1234
1235
1236 # Check whether --with-rlm-eap-peap-lib-dir or --without-rlm-eap-peap-lib-dir was given.
1237 if test "${with_rlm_eap_peap_lib_dir+set}" = set; then
1238   withval="$with_rlm_eap_peap_lib_dir"
1239   eap_peap_ldflags="-L$withval"
1240 fi;
1241
1242
1243 # Check whether --with-rlm-eap-peap-include-dir or --without-rlm-eap-peap-include-dir was given.
1244 if test "${with_rlm_eap_peap_include_dir+set}" = set; then
1245   withval="$with_rlm_eap_peap_include_dir"
1246   eap_peap_cflags="-I$withval"
1247 fi;
1248
1249
1250         echo "$as_me:$LINENO: checking for OpenSSL support" >&5
1251 echo $ECHO_N "checking for OpenSSL support... $ECHO_C" >&6
1252         if test "x$OPENSSL_LIBS" != "x"; then
1253                 echo "$as_me:$LINENO: result: yes" >&5
1254 echo "${ECHO_T}yes" >&6
1255         else
1256                 echo "$as_me:$LINENO: result: no" >&5
1257 echo "${ECHO_T}no" >&6
1258                 fail="OpenSSL"
1259         fi
1260
1261         targetname=rlm_eap_peap
1262 else
1263         targetname=
1264         echo \*\*\* module rlm_eap_peap is disabled.
1265 fi
1266
1267 if test x"$fail" != x""; then
1268         if test x"${enable_strict_dependencies}" = x"yes"; then
1269                 { { echo "$as_me:$LINENO: error: set --without-rlm_eap_peap to disable it explicitly." >&5
1270 echo "$as_me: error: set --without-rlm_eap_peap to disable it explicitly." >&2;}
1271    { (exit 1); exit 1; }; }
1272         else
1273                 { echo "$as_me:$LINENO: WARNING: silently not building rlm_eap_peap." >&5
1274 echo "$as_me: WARNING: silently not building rlm_eap_peap." >&2;}
1275                 { echo "$as_me:$LINENO: WARNING: FAILURE: rlm_eap_peap requires: $fail." >&5
1276 echo "$as_me: WARNING: FAILURE: rlm_eap_peap requires: $fail." >&2;}
1277                 if test x"$headersuggestion" != x; then
1278                         { echo "$as_me:$LINENO: WARNING: $headersuggestion" >&5
1279 echo "$as_me: WARNING: $headersuggestion" >&2;}
1280                 fi
1281                 if test x"$libsuggestion" != x; then
1282                         { echo "$as_me:$LINENO: WARNING: $libsuggestion" >&5
1283 echo "$as_me: WARNING: $libsuggestion" >&2;}
1284                 fi
1285                 targetname=""
1286         fi
1287 fi
1288
1289
1290
1291
1292           ac_config_headers="$ac_config_headers config.h"
1293
1294           ac_config_files="$ac_config_files Makefile"
1295 cat >confcache <<\_ACEOF
1296 # This file is a shell script that caches the results of configure
1297 # tests run on this system so they can be shared between configure
1298 # scripts and configure runs, see configure's option --config-cache.
1299 # It is not useful on other systems.  If it contains results you don't
1300 # want to keep, you may remove or edit it.
1301 #
1302 # config.status only pays attention to the cache file if you give it
1303 # the --recheck option to rerun configure.
1304 #
1305 # `ac_cv_env_foo' variables (set or unset) will be overridden when
1306 # loading this file, other *unset* `ac_cv_foo' will be assigned the
1307 # following values.
1308
1309 _ACEOF
1310
1311 # The following way of writing the cache mishandles newlines in values,
1312 # but we know of no workaround that is simple, portable, and efficient.
1313 # So, don't put newlines in cache variables' values.
1314 # Ultrix sh set writes to stderr and can't be redirected directly,
1315 # and sets the high bit in the cache file unless we assign to the vars.
1316 {
1317   (set) 2>&1 |
1318     case `(ac_space=' '; set | grep ac_space) 2>&1` in
1319     *ac_space=\ *)
1320       # `set' does not quote correctly, so add quotes (double-quote
1321       # substitution turns \\\\ into \\, and sed turns \\ into \).
1322       sed -n \
1323         "s/'/'\\\\''/g;
1324           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1325       ;;
1326     *)
1327       # `set' quotes correctly as required by POSIX, so do not add quotes.
1328       sed -n \
1329         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1330       ;;
1331     esac;
1332 } |
1333   sed '
1334      t clear
1335      : clear
1336      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1337      t end
1338      /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1339      : end' >>confcache
1340 if diff $cache_file confcache >/dev/null 2>&1; then :; else
1341   if test -w $cache_file; then
1342     test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
1343     cat confcache >$cache_file
1344   else
1345     echo "not updating unwritable cache $cache_file"
1346   fi
1347 fi
1348 rm -f confcache
1349
1350 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1351 # Let make expand exec_prefix.
1352 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1353
1354 # VPATH may cause trouble with some makes, so we remove $(srcdir),
1355 # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
1356 # trailing colons and then remove the whole line if VPATH becomes empty
1357 # (actually we leave an empty line to preserve line numbers).
1358 if test "x$srcdir" = x.; then
1359   ac_vpsub='/^[  ]*VPATH[        ]*=/{
1360 s/:*\$(srcdir):*/:/;
1361 s/:*\${srcdir}:*/:/;
1362 s/:*@srcdir@:*/:/;
1363 s/^\([^=]*=[     ]*\):*/\1/;
1364 s/:*$//;
1365 s/^[^=]*=[       ]*$//;
1366 }'
1367 fi
1368
1369 DEFS=-DHAVE_CONFIG_H
1370
1371 ac_libobjs=
1372 ac_ltlibobjs=
1373 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
1374   # 1. Remove the extension, and $U if already installed.
1375   ac_i=`echo "$ac_i" |
1376          sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
1377   # 2. Add them.
1378   ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
1379   ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
1380 done
1381 LIBOBJS=$ac_libobjs
1382
1383 LTLIBOBJS=$ac_ltlibobjs
1384
1385
1386
1387 : ${CONFIG_STATUS=./config.status}
1388 ac_clean_files_save=$ac_clean_files
1389 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
1390 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
1391 echo "$as_me: creating $CONFIG_STATUS" >&6;}
1392 cat >$CONFIG_STATUS <<_ACEOF
1393 #! $SHELL
1394 # Generated by $as_me.
1395 # Run this file to recreate the current configuration.
1396 # Compiler output produced by configure, useful for debugging
1397 # configure, is in config.log if it exists.
1398
1399 debug=false
1400 ac_cs_recheck=false
1401 ac_cs_silent=false
1402 SHELL=\${CONFIG_SHELL-$SHELL}
1403 _ACEOF
1404
1405 cat >>$CONFIG_STATUS <<\_ACEOF
1406 ## --------------------- ##
1407 ## M4sh Initialization.  ##
1408 ## --------------------- ##
1409
1410 # Be Bourne compatible
1411 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1412   emulate sh
1413   NULLCMD=:
1414   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
1415   # is contrary to our usage.  Disable this feature.
1416   alias -g '${1+"$@"}'='"$@"'
1417 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
1418   set -o posix
1419 fi
1420 DUALCASE=1; export DUALCASE # for MKS sh
1421
1422 # Support unset when possible.
1423 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
1424   as_unset=unset
1425 else
1426   as_unset=false
1427 fi
1428
1429
1430 # Work around bugs in pre-3.0 UWIN ksh.
1431 $as_unset ENV MAIL MAILPATH
1432 PS1='$ '
1433 PS2='> '
1434 PS4='+ '
1435
1436 # NLS nuisances.
1437 for as_var in \
1438   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
1439   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
1440   LC_TELEPHONE LC_TIME
1441 do
1442   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
1443     eval $as_var=C; export $as_var
1444   else
1445     $as_unset $as_var
1446   fi
1447 done
1448
1449 # Required to use basename.
1450 if expr a : '\(a\)' >/dev/null 2>&1; then
1451   as_expr=expr
1452 else
1453   as_expr=false
1454 fi
1455
1456 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
1457   as_basename=basename
1458 else
1459   as_basename=false
1460 fi
1461
1462
1463 # Name of the executable.
1464 as_me=`$as_basename "$0" ||
1465 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
1466          X"$0" : 'X\(//\)$' \| \
1467          X"$0" : 'X\(/\)$' \| \
1468          .     : '\(.\)' 2>/dev/null ||
1469 echo X/"$0" |
1470     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
1471           /^X\/\(\/\/\)$/{ s//\1/; q; }
1472           /^X\/\(\/\).*/{ s//\1/; q; }
1473           s/.*/./; q'`
1474
1475
1476 # PATH needs CR, and LINENO needs CR and PATH.
1477 # Avoid depending upon Character Ranges.
1478 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
1479 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
1480 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
1481 as_cr_digits='0123456789'
1482 as_cr_alnum=$as_cr_Letters$as_cr_digits
1483
1484 # The user is always right.
1485 if test "${PATH_SEPARATOR+set}" != set; then
1486   echo "#! /bin/sh" >conf$$.sh
1487   echo  "exit 0"   >>conf$$.sh
1488   chmod +x conf$$.sh
1489   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
1490     PATH_SEPARATOR=';'
1491   else
1492     PATH_SEPARATOR=:
1493   fi
1494   rm -f conf$$.sh
1495 fi
1496
1497
1498   as_lineno_1=$LINENO
1499   as_lineno_2=$LINENO
1500   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1501   test "x$as_lineno_1" != "x$as_lineno_2" &&
1502   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
1503   # Find who we are.  Look in the path if we contain no path at all
1504   # relative or not.
1505   case $0 in
1506     *[\\/]* ) as_myself=$0 ;;
1507     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1508 for as_dir in $PATH
1509 do
1510   IFS=$as_save_IFS
1511   test -z "$as_dir" && as_dir=.
1512   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1513 done
1514
1515        ;;
1516   esac
1517   # We did not find ourselves, most probably we were run as `sh COMMAND'
1518   # in which case we are not to be found in the path.
1519   if test "x$as_myself" = x; then
1520     as_myself=$0
1521   fi
1522   if test ! -f "$as_myself"; then
1523     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
1524 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
1525    { (exit 1); exit 1; }; }
1526   fi
1527   case $CONFIG_SHELL in
1528   '')
1529     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1530 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
1531 do
1532   IFS=$as_save_IFS
1533   test -z "$as_dir" && as_dir=.
1534   for as_base in sh bash ksh sh5; do
1535          case $as_dir in
1536          /*)
1537            if ("$as_dir/$as_base" -c '
1538   as_lineno_1=$LINENO
1539   as_lineno_2=$LINENO
1540   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1541   test "x$as_lineno_1" != "x$as_lineno_2" &&
1542   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
1543              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
1544              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
1545              CONFIG_SHELL=$as_dir/$as_base
1546              export CONFIG_SHELL
1547              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
1548            fi;;
1549          esac
1550        done
1551 done
1552 ;;
1553   esac
1554
1555   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1556   # uniformly replaced by the line number.  The first 'sed' inserts a
1557   # line-number line before each line; the second 'sed' does the real
1558   # work.  The second script uses 'N' to pair each line-number line
1559   # with the numbered line, and appends trailing '-' during
1560   # substitution so that $LINENO is not a special case at line end.
1561   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1562   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
1563   sed '=' <$as_myself |
1564     sed '
1565       N
1566       s,$,-,
1567       : loop
1568       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
1569       t loop
1570       s,-$,,
1571       s,^['$as_cr_digits']*\n,,
1572     ' >$as_me.lineno &&
1573   chmod +x $as_me.lineno ||
1574     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
1575 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
1576    { (exit 1); exit 1; }; }
1577
1578   # Don't try to exec as it changes $[0], causing all sort of problems
1579   # (the dirname of $[0] is not the place where we might find the
1580   # original and so on.  Autoconf is especially sensible to this).
1581   . ./$as_me.lineno
1582   # Exit status is that of the last command.
1583   exit
1584 }
1585
1586
1587 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
1588   *c*,-n*) ECHO_N= ECHO_C='
1589 ' ECHO_T='      ' ;;
1590   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
1591   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
1592 esac
1593
1594 if expr a : '\(a\)' >/dev/null 2>&1; then
1595   as_expr=expr
1596 else
1597   as_expr=false
1598 fi
1599
1600 rm -f conf$$ conf$$.exe conf$$.file
1601 echo >conf$$.file
1602 if ln -s conf$$.file conf$$ 2>/dev/null; then
1603   # We could just check for DJGPP; but this test a) works b) is more generic
1604   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
1605   if test -f conf$$.exe; then
1606     # Don't use ln at all; we don't have any links
1607     as_ln_s='cp -p'
1608   else
1609     as_ln_s='ln -s'
1610   fi
1611 elif ln conf$$.file conf$$ 2>/dev/null; then
1612   as_ln_s=ln
1613 else
1614   as_ln_s='cp -p'
1615 fi
1616 rm -f conf$$ conf$$.exe conf$$.file
1617
1618 if mkdir -p . 2>/dev/null; then
1619   as_mkdir_p=:
1620 else
1621   test -d ./-p && rmdir ./-p
1622   as_mkdir_p=false
1623 fi
1624
1625 as_executable_p="test -f"
1626
1627 # Sed expression to map a string onto a valid CPP name.
1628 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
1629
1630 # Sed expression to map a string onto a valid variable name.
1631 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
1632
1633
1634 # IFS
1635 # We need space, tab and new line, in precisely that order.
1636 as_nl='
1637 '
1638 IFS="   $as_nl"
1639
1640 # CDPATH.
1641 $as_unset CDPATH
1642
1643 exec 6>&1
1644
1645 # Open the log real soon, to keep \$[0] and so on meaningful, and to
1646 # report actual input values of CONFIG_FILES etc. instead of their
1647 # values after options handling.  Logging --version etc. is OK.
1648 exec 5>>config.log
1649 {
1650   echo
1651   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
1652 ## Running $as_me. ##
1653 _ASBOX
1654 } >&5
1655 cat >&5 <<_CSEOF
1656
1657 This file was extended by $as_me, which was
1658 generated by GNU Autoconf 2.59.  Invocation command line was
1659
1660   CONFIG_FILES    = $CONFIG_FILES
1661   CONFIG_HEADERS  = $CONFIG_HEADERS
1662   CONFIG_LINKS    = $CONFIG_LINKS
1663   CONFIG_COMMANDS = $CONFIG_COMMANDS
1664   $ $0 $@
1665
1666 _CSEOF
1667 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
1668 echo >&5
1669 _ACEOF
1670
1671 # Files that config.status was made for.
1672 if test -n "$ac_config_files"; then
1673   echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
1674 fi
1675
1676 if test -n "$ac_config_headers"; then
1677   echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
1678 fi
1679
1680 if test -n "$ac_config_links"; then
1681   echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
1682 fi
1683
1684 if test -n "$ac_config_commands"; then
1685   echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
1686 fi
1687
1688 cat >>$CONFIG_STATUS <<\_ACEOF
1689
1690 ac_cs_usage="\
1691 \`$as_me' instantiates files from templates according to the
1692 current configuration.
1693
1694 Usage: $0 [OPTIONS] [FILE]...
1695
1696   -h, --help       print this help, then exit
1697   -V, --version    print version number, then exit
1698   -q, --quiet      do not print progress messages
1699   -d, --debug      don't remove temporary files
1700       --recheck    update $as_me by reconfiguring in the same conditions
1701   --file=FILE[:TEMPLATE]
1702                    instantiate the configuration file FILE
1703   --header=FILE[:TEMPLATE]
1704                    instantiate the configuration header FILE
1705
1706 Configuration files:
1707 $config_files
1708
1709 Configuration headers:
1710 $config_headers
1711
1712 Report bugs to <bug-autoconf@gnu.org>."
1713 _ACEOF
1714
1715 cat >>$CONFIG_STATUS <<_ACEOF
1716 ac_cs_version="\\
1717 config.status
1718 configured by $0, generated by GNU Autoconf 2.59,
1719   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
1720
1721 Copyright (C) 2003 Free Software Foundation, Inc.
1722 This config.status script is free software; the Free Software Foundation
1723 gives unlimited permission to copy, distribute and modify it."
1724 srcdir=$srcdir
1725 _ACEOF
1726
1727 cat >>$CONFIG_STATUS <<\_ACEOF
1728 # If no file are specified by the user, then we need to provide default
1729 # value.  By we need to know if files were specified by the user.
1730 ac_need_defaults=:
1731 while test $# != 0
1732 do
1733   case $1 in
1734   --*=*)
1735     ac_option=`expr "x$1" : 'x\([^=]*\)='`
1736     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
1737     ac_shift=:
1738     ;;
1739   -*)
1740     ac_option=$1
1741     ac_optarg=$2
1742     ac_shift=shift
1743     ;;
1744   *) # This is not an option, so the user has probably given explicit
1745      # arguments.
1746      ac_option=$1
1747      ac_need_defaults=false;;
1748   esac
1749
1750   case $ac_option in
1751   # Handling of the options.
1752 _ACEOF
1753 cat >>$CONFIG_STATUS <<\_ACEOF
1754   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1755     ac_cs_recheck=: ;;
1756   --version | --vers* | -V )
1757     echo "$ac_cs_version"; exit 0 ;;
1758   --he | --h)
1759     # Conflict between --help and --header
1760     { { echo "$as_me:$LINENO: error: ambiguous option: $1
1761 Try \`$0 --help' for more information." >&5
1762 echo "$as_me: error: ambiguous option: $1
1763 Try \`$0 --help' for more information." >&2;}
1764    { (exit 1); exit 1; }; };;
1765   --help | --hel | -h )
1766     echo "$ac_cs_usage"; exit 0 ;;
1767   --debug | --d* | -d )
1768     debug=: ;;
1769   --file | --fil | --fi | --f )
1770     $ac_shift
1771     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
1772     ac_need_defaults=false;;
1773   --header | --heade | --head | --hea )
1774     $ac_shift
1775     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
1776     ac_need_defaults=false;;
1777   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1778   | -silent | --silent | --silen | --sile | --sil | --si | --s)
1779     ac_cs_silent=: ;;
1780
1781   # This is an error.
1782   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
1783 Try \`$0 --help' for more information." >&5
1784 echo "$as_me: error: unrecognized option: $1
1785 Try \`$0 --help' for more information." >&2;}
1786    { (exit 1); exit 1; }; } ;;
1787
1788   *) ac_config_targets="$ac_config_targets $1" ;;
1789
1790   esac
1791   shift
1792 done
1793
1794 ac_configure_extra_args=
1795
1796 if $ac_cs_silent; then
1797   exec 6>/dev/null
1798   ac_configure_extra_args="$ac_configure_extra_args --silent"
1799 fi
1800
1801 _ACEOF
1802 cat >>$CONFIG_STATUS <<_ACEOF
1803 if \$ac_cs_recheck; then
1804   echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
1805   exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
1806 fi
1807
1808 _ACEOF
1809
1810
1811
1812
1813
1814 cat >>$CONFIG_STATUS <<\_ACEOF
1815 for ac_config_target in $ac_config_targets
1816 do
1817   case "$ac_config_target" in
1818   # Handling of arguments.
1819   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
1820   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
1821   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
1822 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
1823    { (exit 1); exit 1; }; };;
1824   esac
1825 done
1826
1827 # If the user did not use the arguments to specify the items to instantiate,
1828 # then the envvar interface is used.  Set only those that are not.
1829 # We use the long form for the default assignment because of an extremely
1830 # bizarre bug on SunOS 4.1.3.
1831 if $ac_need_defaults; then
1832   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
1833   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
1834 fi
1835
1836 # Have a temporary directory for convenience.  Make it in the build tree
1837 # simply because there is no reason to put it here, and in addition,
1838 # creating and moving files from /tmp can sometimes cause problems.
1839 # Create a temporary directory, and hook for its removal unless debugging.
1840 $debug ||
1841 {
1842   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
1843   trap '{ (exit 1); exit 1; }' 1 2 13 15
1844 }
1845
1846 # Create a (secure) tmp directory for tmp files.
1847
1848 {
1849   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
1850   test -n "$tmp" && test -d "$tmp"
1851 }  ||
1852 {
1853   tmp=./confstat$$-$RANDOM
1854   (umask 077 && mkdir $tmp)
1855 } ||
1856 {
1857    echo "$me: cannot create a temporary directory in ." >&2
1858    { (exit 1); exit 1; }
1859 }
1860
1861 _ACEOF
1862
1863 cat >>$CONFIG_STATUS <<_ACEOF
1864
1865 #
1866 # CONFIG_FILES section.
1867 #
1868
1869 # No need to generate the scripts if there are no CONFIG_FILES.
1870 # This happens for instance when ./config.status config.h
1871 if test -n "\$CONFIG_FILES"; then
1872   # Protect against being on the right side of a sed subst in config.status.
1873   sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
1874    s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
1875 s,@SHELL@,$SHELL,;t t
1876 s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
1877 s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
1878 s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
1879 s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
1880 s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
1881 s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
1882 s,@exec_prefix@,$exec_prefix,;t t
1883 s,@prefix@,$prefix,;t t
1884 s,@program_transform_name@,$program_transform_name,;t t
1885 s,@bindir@,$bindir,;t t
1886 s,@sbindir@,$sbindir,;t t
1887 s,@libexecdir@,$libexecdir,;t t
1888 s,@datadir@,$datadir,;t t
1889 s,@sysconfdir@,$sysconfdir,;t t
1890 s,@sharedstatedir@,$sharedstatedir,;t t
1891 s,@localstatedir@,$localstatedir,;t t
1892 s,@libdir@,$libdir,;t t
1893 s,@includedir@,$includedir,;t t
1894 s,@oldincludedir@,$oldincludedir,;t t
1895 s,@infodir@,$infodir,;t t
1896 s,@mandir@,$mandir,;t t
1897 s,@build_alias@,$build_alias,;t t
1898 s,@host_alias@,$host_alias,;t t
1899 s,@target_alias@,$target_alias,;t t
1900 s,@DEFS@,$DEFS,;t t
1901 s,@ECHO_C@,$ECHO_C,;t t
1902 s,@ECHO_N@,$ECHO_N,;t t
1903 s,@ECHO_T@,$ECHO_T,;t t
1904 s,@LIBS@,$LIBS,;t t
1905 s,@eap_peap_ldflags@,$eap_peap_ldflags,;t t
1906 s,@eap_peap_cflags@,$eap_peap_cflags,;t t
1907 s,@targetname@,$targetname,;t t
1908 s,@LIBOBJS@,$LIBOBJS,;t t
1909 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
1910 CEOF
1911
1912 _ACEOF
1913
1914   cat >>$CONFIG_STATUS <<\_ACEOF
1915   # Split the substitutions into bite-sized pieces for seds with
1916   # small command number limits, like on Digital OSF/1 and HP-UX.
1917   ac_max_sed_lines=48
1918   ac_sed_frag=1 # Number of current file.
1919   ac_beg=1 # First line for current file.
1920   ac_end=$ac_max_sed_lines # Line after last line for current file.
1921   ac_more_lines=:
1922   ac_sed_cmds=
1923   while $ac_more_lines; do
1924     if test $ac_beg -gt 1; then
1925       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
1926     else
1927       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
1928     fi
1929     if test ! -s $tmp/subs.frag; then
1930       ac_more_lines=false
1931     else
1932       # The purpose of the label and of the branching condition is to
1933       # speed up the sed processing (if there are no `@' at all, there
1934       # is no need to browse any of the substitutions).
1935       # These are the two extra sed commands mentioned above.
1936       (echo ':t
1937   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
1938       if test -z "$ac_sed_cmds"; then
1939         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
1940       else
1941         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
1942       fi
1943       ac_sed_frag=`expr $ac_sed_frag + 1`
1944       ac_beg=$ac_end
1945       ac_end=`expr $ac_end + $ac_max_sed_lines`
1946     fi
1947   done
1948   if test -z "$ac_sed_cmds"; then
1949     ac_sed_cmds=cat
1950   fi
1951 fi # test -n "$CONFIG_FILES"
1952
1953 _ACEOF
1954 cat >>$CONFIG_STATUS <<\_ACEOF
1955 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
1956   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1957   case $ac_file in
1958   - | *:- | *:-:* ) # input from stdin
1959         cat >$tmp/stdin
1960         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
1961         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
1962   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
1963         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
1964   * )   ac_file_in=$ac_file.in ;;
1965   esac
1966
1967   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
1968   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1969 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1970          X"$ac_file" : 'X\(//\)[^/]' \| \
1971          X"$ac_file" : 'X\(//\)$' \| \
1972          X"$ac_file" : 'X\(/\)' \| \
1973          .     : '\(.\)' 2>/dev/null ||
1974 echo X"$ac_file" |
1975     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1976           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1977           /^X\(\/\/\)$/{ s//\1/; q; }
1978           /^X\(\/\).*/{ s//\1/; q; }
1979           s/.*/./; q'`
1980   { if $as_mkdir_p; then
1981     mkdir -p "$ac_dir"
1982   else
1983     as_dir="$ac_dir"
1984     as_dirs=
1985     while test ! -d "$as_dir"; do
1986       as_dirs="$as_dir $as_dirs"
1987       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1988 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1989          X"$as_dir" : 'X\(//\)[^/]' \| \
1990          X"$as_dir" : 'X\(//\)$' \| \
1991          X"$as_dir" : 'X\(/\)' \| \
1992          .     : '\(.\)' 2>/dev/null ||
1993 echo X"$as_dir" |
1994     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1995           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1996           /^X\(\/\/\)$/{ s//\1/; q; }
1997           /^X\(\/\).*/{ s//\1/; q; }
1998           s/.*/./; q'`
1999     done
2000     test ! -n "$as_dirs" || mkdir $as_dirs
2001   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
2002 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
2003    { (exit 1); exit 1; }; }; }
2004
2005   ac_builddir=.
2006
2007 if test "$ac_dir" != .; then
2008   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
2009   # A "../" for each directory in $ac_dir_suffix.
2010   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
2011 else
2012   ac_dir_suffix= ac_top_builddir=
2013 fi
2014
2015 case $srcdir in
2016   .)  # No --srcdir option.  We are building in place.
2017     ac_srcdir=.
2018     if test -z "$ac_top_builddir"; then
2019        ac_top_srcdir=.
2020     else
2021        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
2022     fi ;;
2023   [\\/]* | ?:[\\/]* )  # Absolute path.
2024     ac_srcdir=$srcdir$ac_dir_suffix;
2025     ac_top_srcdir=$srcdir ;;
2026   *) # Relative path.
2027     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
2028     ac_top_srcdir=$ac_top_builddir$srcdir ;;
2029 esac
2030
2031 # Do not use `cd foo && pwd` to compute absolute paths, because
2032 # the directories may not exist.
2033 case `pwd` in
2034 .) ac_abs_builddir="$ac_dir";;
2035 *)
2036   case "$ac_dir" in
2037   .) ac_abs_builddir=`pwd`;;
2038   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
2039   *) ac_abs_builddir=`pwd`/"$ac_dir";;
2040   esac;;
2041 esac
2042 case $ac_abs_builddir in
2043 .) ac_abs_top_builddir=${ac_top_builddir}.;;
2044 *)
2045   case ${ac_top_builddir}. in
2046   .) ac_abs_top_builddir=$ac_abs_builddir;;
2047   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
2048   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
2049   esac;;
2050 esac
2051 case $ac_abs_builddir in
2052 .) ac_abs_srcdir=$ac_srcdir;;
2053 *)
2054   case $ac_srcdir in
2055   .) ac_abs_srcdir=$ac_abs_builddir;;
2056   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
2057   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
2058   esac;;
2059 esac
2060 case $ac_abs_builddir in
2061 .) ac_abs_top_srcdir=$ac_top_srcdir;;
2062 *)
2063   case $ac_top_srcdir in
2064   .) ac_abs_top_srcdir=$ac_abs_builddir;;
2065   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
2066   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
2067   esac;;
2068 esac
2069
2070
2071
2072   if test x"$ac_file" != x-; then
2073     { echo "$as_me:$LINENO: creating $ac_file" >&5
2074 echo "$as_me: creating $ac_file" >&6;}
2075     rm -f "$ac_file"
2076   fi
2077   # Let's still pretend it is `configure' which instantiates (i.e., don't
2078   # use $as_me), people would be surprised to read:
2079   #    /* config.h.  Generated by config.status.  */
2080   if test x"$ac_file" = x-; then
2081     configure_input=
2082   else
2083     configure_input="$ac_file.  "
2084   fi
2085   configure_input=$configure_input"Generated from `echo $ac_file_in |
2086                                      sed 's,.*/,,'` by configure."
2087
2088   # First look for the input files in the build tree, otherwise in the
2089   # src tree.
2090   ac_file_inputs=`IFS=:
2091     for f in $ac_file_in; do
2092       case $f in
2093       -) echo $tmp/stdin ;;
2094       [\\/$]*)
2095          # Absolute (can't be DOS-style, as IFS=:)
2096          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2097 echo "$as_me: error: cannot find input file: $f" >&2;}
2098    { (exit 1); exit 1; }; }
2099          echo "$f";;
2100       *) # Relative
2101          if test -f "$f"; then
2102            # Build tree
2103            echo "$f"
2104          elif test -f "$srcdir/$f"; then
2105            # Source tree
2106            echo "$srcdir/$f"
2107          else
2108            # /dev/null tree
2109            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2110 echo "$as_me: error: cannot find input file: $f" >&2;}
2111    { (exit 1); exit 1; }; }
2112          fi;;
2113       esac
2114     done` || { (exit 1); exit 1; }
2115 _ACEOF
2116 cat >>$CONFIG_STATUS <<_ACEOF
2117   sed "$ac_vpsub
2118 $extrasub
2119 _ACEOF
2120 cat >>$CONFIG_STATUS <<\_ACEOF
2121 :t
2122 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2123 s,@configure_input@,$configure_input,;t t
2124 s,@srcdir@,$ac_srcdir,;t t
2125 s,@abs_srcdir@,$ac_abs_srcdir,;t t
2126 s,@top_srcdir@,$ac_top_srcdir,;t t
2127 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
2128 s,@builddir@,$ac_builddir,;t t
2129 s,@abs_builddir@,$ac_abs_builddir,;t t
2130 s,@top_builddir@,$ac_top_builddir,;t t
2131 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
2132 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
2133   rm -f $tmp/stdin
2134   if test x"$ac_file" != x-; then
2135     mv $tmp/out $ac_file
2136   else
2137     cat $tmp/out
2138     rm -f $tmp/out
2139   fi
2140
2141 done
2142 _ACEOF
2143 cat >>$CONFIG_STATUS <<\_ACEOF
2144
2145 #
2146 # CONFIG_HEADER section.
2147 #
2148
2149 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
2150 # NAME is the cpp macro being defined and VALUE is the value it is being given.
2151 #
2152 # ac_d sets the value in "#define NAME VALUE" lines.
2153 ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
2154 ac_dB='[         ].*$,\1#\2'
2155 ac_dC=' '
2156 ac_dD=',;t'
2157 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
2158 ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
2159 ac_uB='$,\1#\2define\3'
2160 ac_uC=' '
2161 ac_uD=',;t'
2162
2163 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
2164   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2165   case $ac_file in
2166   - | *:- | *:-:* ) # input from stdin
2167         cat >$tmp/stdin
2168         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2169         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2170   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2171         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2172   * )   ac_file_in=$ac_file.in ;;
2173   esac
2174
2175   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
2176 echo "$as_me: creating $ac_file" >&6;}
2177
2178   # First look for the input files in the build tree, otherwise in the
2179   # src tree.
2180   ac_file_inputs=`IFS=:
2181     for f in $ac_file_in; do
2182       case $f in
2183       -) echo $tmp/stdin ;;
2184       [\\/$]*)
2185          # Absolute (can't be DOS-style, as IFS=:)
2186          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2187 echo "$as_me: error: cannot find input file: $f" >&2;}
2188    { (exit 1); exit 1; }; }
2189          # Do quote $f, to prevent DOS paths from being IFS'd.
2190          echo "$f";;
2191       *) # Relative
2192          if test -f "$f"; then
2193            # Build tree
2194            echo "$f"
2195          elif test -f "$srcdir/$f"; then
2196            # Source tree
2197            echo "$srcdir/$f"
2198          else
2199            # /dev/null tree
2200            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2201 echo "$as_me: error: cannot find input file: $f" >&2;}
2202    { (exit 1); exit 1; }; }
2203          fi;;
2204       esac
2205     done` || { (exit 1); exit 1; }
2206   # Remove the trailing spaces.
2207   sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
2208
2209 _ACEOF
2210
2211 # Transform confdefs.h into two sed scripts, `conftest.defines' and
2212 # `conftest.undefs', that substitutes the proper values into
2213 # config.h.in to produce config.h.  The first handles `#define'
2214 # templates, and the second `#undef' templates.
2215 # And first: Protect against being on the right side of a sed subst in
2216 # config.status.  Protect against being in an unquoted here document
2217 # in config.status.
2218 rm -f conftest.defines conftest.undefs
2219 # Using a here document instead of a string reduces the quoting nightmare.
2220 # Putting comments in sed scripts is not portable.
2221 #
2222 # `end' is used to avoid that the second main sed command (meant for
2223 # 0-ary CPP macros) applies to n-ary macro definitions.
2224 # See the Autoconf documentation for `clear'.
2225 cat >confdef2sed.sed <<\_ACEOF
2226 s/[\\&,]/\\&/g
2227 s,[\\$`],\\&,g
2228 t clear
2229 : clear
2230 s,^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*\)\(([^)]*)\)[       ]*\(.*\)$,${ac_dA}\1${ac_dB}\1\2${ac_dC}\3${ac_dD},gp
2231 t end
2232 s,^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\)$,${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD},gp
2233 : end
2234 _ACEOF
2235 # If some macros were called several times there might be several times
2236 # the same #defines, which is useless.  Nevertheless, we may not want to
2237 # sort them, since we want the *last* AC-DEFINE to be honored.
2238 uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
2239 sed 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
2240 rm -f confdef2sed.sed
2241
2242 # This sed command replaces #undef with comments.  This is necessary, for
2243 # example, in the case of _POSIX_SOURCE, which is predefined and required
2244 # on some systems where configure will not decide to define it.
2245 cat >>conftest.undefs <<\_ACEOF
2246 s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
2247 _ACEOF
2248
2249 # Break up conftest.defines because some shells have a limit on the size
2250 # of here documents, and old seds have small limits too (100 cmds).
2251 echo '  # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
2252 echo '  if grep "^[      ]*#[    ]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS
2253 echo '  # If there are no defines, we may have an empty if/fi' >>$CONFIG_STATUS
2254 echo '  :' >>$CONFIG_STATUS
2255 rm -f conftest.tail
2256 while grep . conftest.defines >/dev/null
2257 do
2258   # Write a limited-size here document to $tmp/defines.sed.
2259   echo '  cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
2260   # Speed up: don't consider the non `#define' lines.
2261   echo '/^[      ]*#[    ]*define/!b' >>$CONFIG_STATUS
2262   # Work around the forget-to-reset-the-flag bug.
2263   echo 't clr' >>$CONFIG_STATUS
2264   echo ': clr' >>$CONFIG_STATUS
2265   sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
2266   echo 'CEOF
2267   sed -f $tmp/defines.sed $tmp/in >$tmp/out
2268   rm -f $tmp/in
2269   mv $tmp/out $tmp/in
2270 ' >>$CONFIG_STATUS
2271   sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
2272   rm -f conftest.defines
2273   mv conftest.tail conftest.defines
2274 done
2275 rm -f conftest.defines
2276 echo '  fi # grep' >>$CONFIG_STATUS
2277 echo >>$CONFIG_STATUS
2278
2279 # Break up conftest.undefs because some shells have a limit on the size
2280 # of here documents, and old seds have small limits too (100 cmds).
2281 echo '  # Handle all the #undef templates' >>$CONFIG_STATUS
2282 rm -f conftest.tail
2283 while grep . conftest.undefs >/dev/null
2284 do
2285   # Write a limited-size here document to $tmp/undefs.sed.
2286   echo '  cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
2287   # Speed up: don't consider the non `#undef'
2288   echo '/^[      ]*#[    ]*undef/!b' >>$CONFIG_STATUS
2289   # Work around the forget-to-reset-the-flag bug.
2290   echo 't clr' >>$CONFIG_STATUS
2291   echo ': clr' >>$CONFIG_STATUS
2292   sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
2293   echo 'CEOF
2294   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
2295   rm -f $tmp/in
2296   mv $tmp/out $tmp/in
2297 ' >>$CONFIG_STATUS
2298   sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
2299   rm -f conftest.undefs
2300   mv conftest.tail conftest.undefs
2301 done
2302 rm -f conftest.undefs
2303
2304 cat >>$CONFIG_STATUS <<\_ACEOF
2305   # Let's still pretend it is `configure' which instantiates (i.e., don't
2306   # use $as_me), people would be surprised to read:
2307   #    /* config.h.  Generated by config.status.  */
2308   if test x"$ac_file" = x-; then
2309     echo "/* Generated by configure.  */" >$tmp/config.h
2310   else
2311     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
2312   fi
2313   cat $tmp/in >>$tmp/config.h
2314   rm -f $tmp/in
2315   if test x"$ac_file" != x-; then
2316     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
2317       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
2318 echo "$as_me: $ac_file is unchanged" >&6;}
2319     else
2320       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
2321 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2322          X"$ac_file" : 'X\(//\)[^/]' \| \
2323          X"$ac_file" : 'X\(//\)$' \| \
2324          X"$ac_file" : 'X\(/\)' \| \
2325          .     : '\(.\)' 2>/dev/null ||
2326 echo X"$ac_file" |
2327     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2328           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2329           /^X\(\/\/\)$/{ s//\1/; q; }
2330           /^X\(\/\).*/{ s//\1/; q; }
2331           s/.*/./; q'`
2332       { if $as_mkdir_p; then
2333     mkdir -p "$ac_dir"
2334   else
2335     as_dir="$ac_dir"
2336     as_dirs=
2337     while test ! -d "$as_dir"; do
2338       as_dirs="$as_dir $as_dirs"
2339       as_dir=`(dirname "$as_dir") 2>/dev/null ||
2340 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2341          X"$as_dir" : 'X\(//\)[^/]' \| \
2342          X"$as_dir" : 'X\(//\)$' \| \
2343          X"$as_dir" : 'X\(/\)' \| \
2344          .     : '\(.\)' 2>/dev/null ||
2345 echo X"$as_dir" |
2346     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2347           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2348           /^X\(\/\/\)$/{ s//\1/; q; }
2349           /^X\(\/\).*/{ s//\1/; q; }
2350           s/.*/./; q'`
2351     done
2352     test ! -n "$as_dirs" || mkdir $as_dirs
2353   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
2354 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
2355    { (exit 1); exit 1; }; }; }
2356
2357       rm -f $ac_file
2358       mv $tmp/config.h $ac_file
2359     fi
2360   else
2361     cat $tmp/config.h
2362     rm -f $tmp/config.h
2363   fi
2364 done
2365 _ACEOF
2366
2367 cat >>$CONFIG_STATUS <<\_ACEOF
2368
2369 { (exit 0); exit 0; }
2370 _ACEOF
2371 chmod +x $CONFIG_STATUS
2372 ac_clean_files=$ac_clean_files_save
2373
2374
2375 # configure is writing to config.log, and then calls config.status.
2376 # config.status does its own redirection, appending to config.log.
2377 # Unfortunately, on DOS this fails, as config.log is still kept open
2378 # by configure, so config.status won't be able to write to it; its
2379 # output is simply discarded.  So we exec the FD to /dev/null,
2380 # effectively closing config.log, so it can be properly (re)opened and
2381 # appended to by config.status.  When coming back to configure, we
2382 # need to make the FD available again.
2383 if test "$no_create" != yes; then
2384   ac_cs_success=:
2385   ac_config_status_args=
2386   test "$silent" = yes &&
2387     ac_config_status_args="$ac_config_status_args --quiet"
2388   exec 5>/dev/null
2389   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2390   exec 5>>config.log
2391   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2392   # would make configure fail if this is the last instruction.
2393   $ac_cs_success || { (exit 1); exit 1; }
2394 fi
2395